=== debian/changelog ===
etherlab (2.5.0.g992b54a-1+43.1) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 12 Mar 2025 13:06:40 +0000

etherlab (2.5.0.g992b54a-0) UNRELEASED; urgency=medium

  * Release Tag 2.3.3 HG 6fa85109059b
  * Switch to git, 3207a21 (HEAD, tag: release-2.3.3) Release 2.3.3
  * Update to 2b1cc1c (HEAD -> master, origin/master, origin/HEAD) make etherlab_messages run unter python3
  * Update to aa5d574 (HEAD -> master, tag: 2.3.4, origin/master, origin/HEAD) Merge branch '2.3.4-branch' into 'master'
  * c2129ef (HEAD -> master, origin/master, origin/HEAD) Merge branch 'gcc-warnings' into 'master'
  * a47a289 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'message-in-continuous-time-model' into 'master' 
  * 0203199 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'messages-and-persistent' into 'master'
  * Back to release 2.3.4
  * 6573803 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'task-merge' into 'master'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 13 Apr 2023 15:12:20 +0200

etherlab (2.3.2-1) unstable; urgency=medium

  * Initial
  * Fix package dependency
  * Fix package dependency
  * Release 2.3.2 tag 
  * Release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 08 Apr 2021 17:59:34 +0200
