=== debian/control ===
Source: etherlab
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.5
Section: science
Homepage: http://www.etherlab.org


Package: etherlab
Architecture: all
Section: metapackages
Depends: etherlab2 (>= 2.3), ${misc:Depends}
Description: Simulink Coder target
 EtherLab is a Simulink Coder Target used to create user space
 binaries that use the PdServ library.

Package: etherlab2
Architecture: all
Depends: libpdserv3-dev (>= 3.2), libethercat-dev, librtipc-dev, ${shlibs:Depends}, ${misc:Depends}
Conflicts: etherlab2 (<< 2.3)
Description: Simulink Coder target
 EtherLab is a Simulink Coder Target used to create user space
 binaries that use the PdServ library.
